org.apache.commons.compress.archivers.zip

## Interface ZipArchiveEntryRequestSupplier

-     public interface ZipArchiveEntryRequestSupplier

  Supplies `ZipArchiveEntryRequest`. Implementations are required to support thread-handover. While an instance will not be accessed concurrently by multiple threads, it will be called by a different thread than it was created on.
  Since:
    1.13

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ZipArchiveEntryRequest` | `get()` Supply a `ZipArchiveEntryRequest` to be added to a parallel archive.

- - ### Method Detail

    - #### get

          ZipArchiveEntryRequest get()

      Supply a `ZipArchiveEntryRequest` to be added to a parallel archive.
      Returns:
        The `ZipArchiveEntryRequest` instance. Should never be null.

Copyright © 2016 The Apache Software Foundation. All rights reserved.